const system = require("../../../system");
const ServiceBase = require("../../sve.base");
const settings = require("../../../../config/settings");
const appconfig = system.getSysConfig();
class OperationrecordService extends ServiceBase {
    constructor() {
        super("bizchance", ServiceBase.getDaoName(OperationrecordService));
    }

    async insertInfo(qobj) {//插入需求分配记录信息
        var self = this;
        return await self.db.transaction(async function (t) {
            return await self.dao.insertInfo(qobj, t);
        });
    }

    async findAllInfo(qobj) {//查询记录信息
        let res = await this.dao.findAllInfo(qobj);
        return res;
    }
}
module.exports = OperationrecordService;